<?php

if ($_REQUEST['action'] == 'add') {
	$title	= __('Banner hinzuf&uuml;gen');
	$button	= __('Banner hinzuf&uuml;gen');
	$action	= 'add';
	$banner	= array('enabled' => true, 'rnd' => true);
}
else if ($_REQUEST['action'] == 'edit') {
	$title	= __('Banner bearbeiten');
	$button	= __('Banner bearbeiten');
	$action	= 'edit';
	$banner = $options['banners'][$_REQUEST['id']];
}

if (isset($_POST['action'])) {
	$banner['name']		= $_POST['name'];
	$banner['channel']	= $_POST['channel'];
	$banner['format']	= $_POST['format'];
	$banner['opt']		= $_POST['opt'];
	$banner['params']	= $_POST['params'];
	$banner['enabled']	= $_POST['enabled'] == 'true';
	$banner['style']	= $_POST['style'];
}

?>
<div class="wrap">
<h2><?php echo $title; ?></h2>
<form name="addbanner" id="addbanner" method="post" action="admin.php?page=wpcontaxe/admin/banner.php" onsubmit="return wpcontaxe_edit_banner_check();">
<input type="hidden" name="action" value="<?php echo $action; ?>" />
<input type="hidden" name="id" value="<?php echo $banner['id']; ?>" />
<input type="hidden" name="serialized" id="serialized_sortables"/>
<?php wp_nonce_field('wpcontaxe-' . $action . '_' . $banner['id']); ?>
<table class="editform" width="100%" cellspacing="2" cellpadding="5">
	<tr>
		<th width="33%" scope="row" valign="top"><label for="name"><?php _e('Name:') ?><img src="<?php echo $GLOBALS['WPCONTAXE_HELP_IMAGE']?>" class="wpcontaxe_helpicon" id="helpicon_name" alt=""/></label></th>
		<td width="67%"><input name="name" id="name" type="text" value="<?php echo attribute_escape($banner['name']); ?>" size="50" /></td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><label for="channel"><?php _e('Channel-ID:') ?><img src="<?php echo $GLOBALS['WPCONTAXE_HELP_IMAGE']?>" class="wpcontaxe_helpicon" id="helpicon_channel" alt=""/></label></th>
		<td width="67%"><input name="channel" id="channel" type="text" value="<?php echo attribute_escape($banner['channel']); ?>" size="10" /></td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><label for="format"><?php _e('Format:') ?></label></th>
		<td width="67%"><select id="format" name="format" class="wpcontaxe_select">
<?php
		foreach ($GLOBALS['WPCONTAXE_ADFORMATS'] as $key => $value) {
			echo '<option value="' . $key . '"' . ($key == $banner['format'] ? ' selected="selected"' : '' ) . '>' . $value['title'] . "</option>\n";
		}
?>
			</select>
		</td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><label for="opt"><?php _e('Banneroptimierung:') ?></label></th>
		<td width="67%"><select id="opt" name="opt" class="wpcontaxe_select">
<?php
		foreach ($GLOBALS['WPCONTAXE_BANNER_OPTIMIZATION'] as $key => $value) {
			echo '<option value="' . $key . '"' . ($key == $banner['opt'] ? ' selected="selected"' : '' ) . '>' . $value . "</option>\n";
		}
?>
			</select>
		</td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top">&nbsp;</th>
		<td width="67%"><label for="rnd"><input type="checkbox" id="rnd" name="rnd" value="1" <?php checked(true, $banner['rnd']); ?> /> <?php _e('Bannerplatz mit nicht kontextsensitiver Werbung auff&uuml;llen falls keine passende Werbung gefunden wurde.') ?></label></td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><label for="params"><?php _e('Erweiterte Parameter:') ?><img src="<?php echo $GLOBALS['WPCONTAXE_HELP_IMAGE']?>" class="wpcontaxe_helpicon" id="helpicon_params" alt=""/></label></th>
		<td width="67%"><input name="params" id="params" type="text" value="<?php echo attribute_escape($banner['params']); ?>" size="50" /></td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><?php _e('Aktiv:') ?></th>
		<td width="67%"><label for="enabled_true"><input type="radio" id="enabled_true" name="enabled" value="true" <?php checked(true, $banner['enabled']); ?> /> <?php _e('Ja') ?></label>&nbsp;&nbsp;&nbsp;<label for="enabled_false"><input type="radio" id="enabled_false" name="enabled" value="false" <?php checked(false, $banner['enabled']); ?> /> <?php _e('Nein') ?></label></td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><label for="style"><?php _e('Design-ID:') ?><img src="<?php echo $GLOBALS['WPCONTAXE_HELP_IMAGE']?>" class="wpcontaxe_helpicon" id="helpicon_design" alt=""/></label></th>
		<td width="67%"><input name="style" id="style" type="text" value="<?php echo attribute_escape($banner['style']); ?>" size="10" /></td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><?php _e('Aktive Regeln:') ?><img src="<?php echo $GLOBALS['WPCONTAXE_HELP_IMAGE']?>" class="wpcontaxe_helpicon" id="helpicon_active" alt=""/></th>
		<td width="67%">
<?php $GLOBALS['wpcontaxe']->printSortable($banner['id'], true); ?>
		</td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><?php _e('Verfügbare Regeln:') ?><img src="<?php echo $GLOBALS['WPCONTAXE_HELP_IMAGE']?>" class="wpcontaxe_helpicon" id="helpicon_possible" alt=""/></th>
		<td width="67%">
<?php $GLOBALS['wpcontaxe']->printSortable($banner['id'], false); ?>
<script type="text/javascript">
// <![CDATA[
	Sortable.create("rules_1",
	 {dropOnEmpty:true,handle:"handle",containment:["rules_1","rules_2"],constraint:false});
	Sortable.create("rules_2",
	 {dropOnEmpty:true,handle:"handle",containment:["rules_1","rules_2"],constraint:false});

	function wpcontaxe_edit_banner_check() {
		$("serialized_sortables").value = Sortable.serialize("rules_2");
		return true;
	}

// ]]>
</script>
		</td>
	</tr>
</table>
<p class="submit"><input type="submit" name="editBanner" value="<?php echo $button; ?>" /></p>
</form>

<h3><a href="admin.php?page=wpcontaxe/admin/banner.php">&laquo; Zur&uuml;ck</a></h3>

<h3>Vorschau (wird erst nach dem Speichern aktualisiert)</h3>
<?php $GLOBALS['wpcontaxe']->showDemoBanner($banner['id']); ?>

<div class="wpcontaxe_helpbox" style="display: none" id="helpbox_name">
<h3>Name</h3>
<p>Frei w&auml;hlbarer Name.</p>
</div>
<div class="wpcontaxe_helpbox" style="display: none" id="helpbox_channel">
<h3>Channel-ID</h3>
<p>Channel-ID die bei der Einblendung des Banners verwendet wird. Wenn Sie dieses Feld leer lassen wird die ID aus den Allgemeinen Einstellungen verwendet.</p>
<p><strong>Achtung:</strong> Geben Sie hier unbedingt die korrekte Channel-ID an, ansonsten wird evtl. keine Werbung eingeblendet bzw. generierte Einnahmen können Ihnen nicht zugeordnet werden.</p>
</div>
<div class="wpcontaxe_helpbox" style="display: none" id="helpbox_params">
<h3>Erweiterte Parameter</h3>
<p>Für erfahrene Anwender.</p>
</div>
<div class="wpcontaxe_helpbox" style="display: none" id="helpbox_design">
<h3>Design</h3>
<p>Nur bei Textbannern: Falls Sie ein eigenes Design für den Banner wünschen, erstellen Sie dieses bitte bei Contaxe und tragen Sie die ID hier ein. Leer lassen f&uuml;r Standard-Design.</p>
</div>
<div class="wpcontaxe_helpbox" style="display: none" id="helpbox_active">
<h3>Aktive Regeln</h3>
<p>Regeln die die Sichtbarkeit des Banners steuern. Verfügbare Regeln hierher ziehen und ordnen. Wenn keine der Regeln zutrifft wird der Banner nicht eingeblendet.</p>
<p><em>Wenn keine Regeln gewählt werden, wird der Banner immer eingeblendet.</em></p>
</div>
<div class="wpcontaxe_helpbox" style="display: none" id="helpbox_possible">
<h3>Verfügbare Regeln</h3>
<p>Alle verfügbaren Regeln um die Sichtbarkeit des Banners zu steuern.</p>
</div>
</div>
