<div class="wrap">
<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
<?php wp_nonce_field('wpcontaxe-update-ias'); ?>
<h2>Intelligent Search Ad</h2>
<table class="editform" width="100%" cellspacing="2" cellpadding="5">
	<tr>
		<th><?php _e('Intelligent Search Ad einbinden:') ?></th>
		<td><label for="enabled_true"><input type="radio" id="enabled_true" name="enabled" value="true" <?php checked(true, $options['ias_enabled']); ?> /> <?php _e('Ja') ?></label>&nbsp;&nbsp;&nbsp;<label for="enabled_false"><input type="radio" id="enabled_false" name="enabled" value="false" <?php checked(false, $options['ias_enabled']); ?> /> <?php _e('Nein') ?></label></td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><label for="channel"><?php _e('Channel-ID:') ?><img src="<?php echo $GLOBALS['WPCONTAXE_HELP_IMAGE']?>" class="wpcontaxe_helpicon" id="helpicon_channel" alt=""/></label></th>
		<td width="67%"><input name="channel" id="channel" type="text" value="<?php echo attribute_escape($options['ias_channel']); ?>" size="10" /></td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><label for="style"><?php _e('Design-ID:') ?><img src="<?php echo $GLOBALS['WPCONTAXE_HELP_IMAGE']?>" class="wpcontaxe_helpicon" id="helpicon_design" alt=""/></label></th>
		<td width="67%"><input name="style" id="style" type="text" value="<?php echo attribute_escape($options['ias_style']); ?>" size="10" /></td>
	</tr>
	<tr>
		<th width="33%" scope="row" valign="top"><?php _e('Format:') ?></th>
		<td width="67%">
			<label for="type_55"><input type="radio" id="type_55" name="type" value="55" <?php checked('55', $options['ias_type']); ?> /> <?php _e('1 Anzeige') ?></label><br/>
			<label for="type_56"><input type="radio" id="type_56" name="type" value="56" <?php checked('56', $options['ias_type']); ?> /> <?php _e('2 Anzeigen') ?></label><br/>
			<label for="type_57"><input type="radio" id="type_57" name="type" value="57" <?php checked('57', $options['ias_type']); ?> /> <?php _e('5 Titel') ?></label><br/>
			<label for="type_58"><input type="radio" id="type_58" name="type" value="58" <?php checked('58', $options['ias_type']); ?> /> <?php _e('10 Titel') ?></label></td>
	</tr>
</table>
<p class="submit"><input type="submit" name="updateIASSettings" value="<?php _e('Einstellungen aktualisieren &raquo;')?>" /></p>
</form>

<h3>Vorschau (wird erst nach dem Speichern aktualisiert)</h3>
<p>Geben Sie zur Demonstration des Werbeformats in das Nachfolgende Eingabefeld einen beliebigen Begriff ein (mindestens 3 Zeichen).</p>
<input name="demo_input" class="ctsearchtool" type="text" id="demo_input" value="" style="width: 200px" />
<?php $GLOBALS['wpcontaxe']->showDemoIAS(); ?>

<div class="wpcontaxe_helpbox" style="display: none" id="helpbox_channel">
<h3>Channel-ID</h3>
<p>Channel-ID die bei der Einblendung des Intelligent Search Ads verwendet wird. Wenn Sie dieses Feld leer lassen wird die ID aus den Allgemeinen Einstellungen verwendet.</p>
<p><strong>Achtung:</strong> Geben Sie hier unbedingt die korrekte Channel-ID an, ansonsten wird evtl. keine Werbung eingeblendet bzw. generierte Einnahmen können Ihnen nicht zugeordnet werden.</p>
</div>
<div class="wpcontaxe_helpbox" style="display: none" id="helpbox_design">
<h3>Design-ID</h3>
<p>Falls Sie ein eigenes Design für das Intelligent Search Ad wünschen, erstellen Sie dieses bitte bei Contaxe und tragen Sie die ID hier ein. Leer lassen f&uuml;r Standard-Design.</p>
</div>
</div>
